## ros-bouncy-desktop 0.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(desktop)

find_package(ament_cmake REQUIRED)

ament_package()

=== debian/changelog ===
ros-bouncy-desktop (0.5.1-0bionic) bionic; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 18 Jul 2018 07:00:00 -0000

ros-bouncy-desktop (0.5.0-0bionic) bionic; urgency=high

  * define ROS 2 Bouncy variants (#1 <https://github.com/ros2/variants/issues/1>)
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 17 Jul 2018 07:00:00 -0000

=== debian/control ===
Source: ros-bouncy-desktop
Section: misc
Priority: extra
Maintainer: Mikael Arguedas <mikael@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-bouncy-ament-cmake, ros-bouncy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-bouncy-desktop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-bouncy-angles, ros-bouncy-composition, ros-bouncy-demo-nodes-cpp, ros-bouncy-demo-nodes-cpp-native, ros-bouncy-demo-nodes-py, ros-bouncy-depthimage-to-laserscan, ros-bouncy-dummy-map-server, ros-bouncy-dummy-robot-bringup, ros-bouncy-dummy-sensors, ros-bouncy-examples-rclcpp-minimal-client, ros-bouncy-examples-rclcpp-minimal-composition, ros-bouncy-examples-rclcpp-minimal-publisher, ros-bouncy-examples-rclcpp-minimal-service, ros-bouncy-examples-rclcpp-minimal-subscriber, ros-bouncy-examples-rclcpp-minimal-timer, ros-bouncy-examples-rclpy-executors, ros-bouncy-examples-rclpy-minimal-client, ros-bouncy-examples-rclpy-minimal-publisher, ros-bouncy-examples-rclpy-minimal-service, ros-bouncy-examples-rclpy-minimal-subscriber, ros-bouncy-image-tools, ros-bouncy-intra-process-demo, ros-bouncy-joy, ros-bouncy-lifecycle, ros-bouncy-logging-demo, ros-bouncy-pcl-conversions, ros-bouncy-pendulum-control, ros-bouncy-ros-base, ros-bouncy-rviz-default-plugins, ros-bouncy-rviz2, ros-bouncy-sros2, ros-bouncy-teleop-twist-joy, ros-bouncy-teleop-twist-keyboard, ros-bouncy-tlsf, ros-bouncy-tlsf-cpp, ros-bouncy-topic-monitor, ros-bouncy-ros-workspace
Description: A package which extends 'ros_base' and includes high level packages like vizualization tools and demos.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/bouncy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/bouncy" \
		-DAMENT_PREFIX_PATH="/opt/ros/bouncy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-bouncy-desktop//opt/ros/bouncy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_install
